# Get request state

Endpoint: GET /v1/domains/{domainId}/requests/{requestId}
Security: httpAuth

## Security:

  - `httpAuth` (unknown)
    http bearer

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

  - `requestId` (string, required)

## Response 200 fields (application/json):

  - `id` (string, required)

  - `requester` (object, required)

  - `requester.id` (string, required)

  - `requester.domainId` (string, required)

  - `status` (string, required)
    Enum: "Processing", "Failed", "Succeeded"

  - `history` (array, required)

  - `history.source` (string, required)

  - `history.hint` (string)

  - `history.createdAt` (string, required)

  - `lastModifiedAt` (string, required)

  - `intent` (object)

  - `intent.domainId` (string, required)

  - `intent.id` (string, required)

## Response 400:

  - `400` (unknown)
    Invalid value for: path parameter domainId, Invalid value for: path parameter requestId

## Response 401:

  - `401` (unknown)
    One of: Invalid JWT (InvalidJwtError); User not authorized (PermissionDeniedError)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Entity or Domain not found (EntityNotFoundError)

## Response 404 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

